Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.terminal.tandem6530
Interface Mode

All Known Implementing Classes:
  ModeBase

public interface Mode

Interface that is implemented by the classes that implements the diffent modes the terinal can be in, conversational, block and protected block mode.

Method Summary
`void` | `doBackspace()`
`void` | `doBackTab()`
`void` | `doCarriageReturn()`
`void` | `doClearAllTabs()`
`void` | `doClearMemoryToSpaces()`
`void` | `doClearMemoryToSpaces(int startRow, int startCol, int endRow, int endColumn)`
`void` | `doClearTab()`
`void` | `doClickSelect(int row, int col, java.lang.String selectDelims)`
`void` | `doCursorHome()`
`void` | `doCursorHomeDown()`
`void` | `doCursorRight()`
`void` | `doCursorUp()`
`void` | `doDefineDataTypeTable(int startIndex, byte[] entries)`
`void` | `doDefineEnterKeyFunction(char[] str)`
`void` | `doDefineFieldAttribute(int row, int column, boolean useFixed, int tableRow)`
`void` | `doDefineVariableTable(int startIndex, FieldAttributes[] attribs)`
`void` | `doDeleteCharacter()`
`void` | `doDeleteLine()`
`void` | `doDisableLocalLineEditing()`
`void` | `doDisplayPage(int n)`
`void` | `doEraseToEndOfLineOrField()`
`void` | `doEraseToEndOfPageOrMemory()`
`void` | `doHTab()`
`void` | `doInsertCharacter()`
`void` | `doInsertLine()`
`void` | `doLineFeed()`
`void` | `doPageDown()`
`void` | `doPageUp()`
`java.lang.String` | `doReadCursorAddress()`
`java.lang.String` | `doReadWholePageOrBuffer()`
`java.lang.String` | `doReadWithAddress(int startRow, int startCol, int endRow, int endColumn)`
`java.lang.String` | `doReadWithAddressAll(int startRow, int startCol, int endRow, int endColumn)`
`void` | `doResetMoifiedDataTags()`
`void` | `doResetVariableTable()`
`void` | `doRollDown()`
`void` | `doRollUp()`
`void` | `doSelectPage(int n)`
`void` | `doSetBufferAddress(int row, int column)`
`void` | `doSetCursorAddress(boolean displayedPage, int row, int column)`
`void` | `doSetDefaultVideoAttribute(int attrib)`
`void` | `doSetMaxPageNumber(int n)`
`void` | `doSetTab()`
`void` | `doSetVideoAttribute(int attrib)`
`void` | `doStartField(FieldAttributes attribs)`
`void` | `doStartFieldExtended(FieldAttributes attribs)`
`void` | `doTab()`
`int[]` | `getAttribs(int visTop, int row)`
`int` | `getBufferRows()`
`char[]` | `getChars(int visTop, int row)`
`int` | `getCol()`
`int` | `getPage()`
`int` | `getRow()`
`java.lang.String` | `getSelection(java.lang.String eol)`
`int` | `getVisTop()`
`void` | `hostChar(char c)`
`void` | `keyHandler(char c, int virtualKey, int modifiers)`
`void` | `resetClickSelect()`
`void` | `resetSelection()`
`SearchContext` | `search(SearchContext lastContext, java.lang.String key, boolean reverse, boolean caseSens)`
`void` | `selectAll()`
`void` | `setDisplay(DisplayView display)`
`void` | `setSelection(int row1, int col1, int row2, int col2)`
`void` | `switchReset()`

Method Detail

### keyHandler

    public void keyHandler(char c,
                           int virtualKey,
                           int modifiers)

### hostChar

    public void hostChar(char c)

### getBufferRows

    public int getBufferRows()

### setDisplay

    public void setDisplay(DisplayView display)

### getVisTop

    public int getVisTop()

### switchReset

    public void switchReset()

### doBackspace

    public void doBackspace()

### doHTab

    public void doHTab()

### doTab

    public void doTab()

### doLineFeed

    public void doLineFeed()

### doCarriageReturn

    public void doCarriageReturn()

### doSetBufferAddress

    public void doSetBufferAddress(int row,
                                   int column)

### doSetCursorAddress

    public void doSetCursorAddress(boolean displayedPage,
                                   int row,
                                   int column)

### doDefineFieldAttribute

    public void doDefineFieldAttribute(int row,
                                       int column,
                                       boolean useFixed,
                                       int tableRow)

### doStartField

    public void doStartField(FieldAttributes attribs)

### doSetTab

    public void doSetTab()

### doClearTab

    public void doClearTab()

### doClearAllTabs

    public void doClearAllTabs()

### doSetVideoAttribute

    public void doSetVideoAttribute(int attrib)

### doSetDefaultVideoAttribute

    public void doSetDefaultVideoAttribute(int attrib)

### doReadCursorAddress

    public java.lang.String doReadCursorAddress()

### doBackTab

    public void doBackTab()

### doSetMaxPageNumber

    public void doSetMaxPageNumber(int n)

### doDefineDataTypeTable

    public void doDefineDataTypeTable(int startIndex,
                                      byte[] entries)

### doResetVariableTable

    public void doResetVariableTable()

### doDefineVariableTable

    public void doDefineVariableTable(int startIndex,
                                      FieldAttributes[] attribs)

### doDefineEnterKeyFunction

    public void doDefineEnterKeyFunction(char[] str)

### doCursorUp

    public void doCursorUp()

### doCursorRight

    public void doCursorRight()

### doCursorHomeDown

    public void doCursorHomeDown()

### doCursorHome

    public void doCursorHome()

### doRollUp

    public void doRollUp()

### doRollDown

    public void doRollDown()

### doPageUp

    public void doPageUp()

### doPageDown

    public void doPageDown()

### doClearMemoryToSpaces

    public void doClearMemoryToSpaces()

### doClearMemoryToSpaces

    public void doClearMemoryToSpaces(int startRow,
                                      int startCol,
                                      int endRow,
                                      int endColumn)

### doEraseToEndOfPageOrMemory

    public void doEraseToEndOfPageOrMemory()

### doReadWithAddress

    public java.lang.String doReadWithAddress(int startRow,
                                              int startCol,
                                              int endRow,
                                              int endColumn)

### doEraseToEndOfLineOrField

    public void doEraseToEndOfLineOrField()

### doReadWithAddressAll

    public java.lang.String doReadWithAddressAll(int startRow,
                                                 int startCol,
                                                 int endRow,
                                                 int endColumn)

### doInsertLine

    public void doInsertLine()

### doDeleteLine

    public void doDeleteLine()

### doDisableLocalLineEditing

    public void doDisableLocalLineEditing()

### doInsertCharacter

    public void doInsertCharacter()

### doDeleteCharacter

    public void doDeleteCharacter()

### doResetMoifiedDataTags

    public void doResetMoifiedDataTags()

### doReadWholePageOrBuffer

    public java.lang.String doReadWholePageOrBuffer()

### doDisplayPage

    public void doDisplayPage(int n)

### doSelectPage

    public void doSelectPage(int n)

### doStartFieldExtended

    public void doStartFieldExtended(FieldAttributes attribs)

### getChars

    public char[] getChars(int visTop,
                           int row)

### getAttribs

    public int[] getAttribs(int visTop,
                            int row)

### getRow

    public int getRow()

### getCol

    public int getCol()

### getPage

    public int getPage()

### doClickSelect

    public void doClickSelect(int row,
                              int col,
                              java.lang.String selectDelims)

### resetClickSelect

    public void resetClickSelect()

### setSelection

    public void setSelection(int row1,
                             int col1,
                             int row2,
                             int col2)

### selectAll

    public void selectAll()

### resetSelection

    public void resetSelection()

### getSelection

    public java.lang.String getSelection(java.lang.String eol)

### search

    public SearchContext search(SearchContext lastContext,
                                java.lang.String key,
                                boolean reverse,
                                boolean caseSens)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD